Bug 478272 - FEATURE: Access Control Information Editor
FEATURE: Access Control Information Editor
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:13 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:13:36 EST
Penrose Studio provides an interface to configure the ACI. It allows the following operations:
1.	ACI can be configured per operation type (add, modify, delete and read) .
2.	ACI can be applied to the entire entry or individual attributes.
3.	ACI can be limited by scope (base, one level, subtree)
4.	ACI are inheritable. 
5.	ACI can be applied to individual users and member of groups.



=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            },
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-307',
          'assignee' => 'jimyang',
          'summary' => 'Access Control Information Editor',
          'id' => '11029',
          'updated' => '2008-08-12 13:58:21.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Penrose Studio provides an interface to configure the ACI. It allows the following operations:
1.	ACI can be configured per operation type (add, modify, delete and read) .
2.	ACI can be applied to the entire entry or individual attributes.
3.	ACI can be limited by scope (base, one level, subtree)
4.	ACI are inheritable. 
5.	ACI can be applied to individual users and member of groups.

',
          'created' => '2008-08-12 13:58:21.0',
          'type' => '2'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-01-28 18:46:25 EST
This is done except that the ACL for groups is not supported in Penrose 2.0.

Note You need to log in before you can comment on or make changes to this bug.